### Method

# Pango GlyphItem letter_space

#### Declaration [src]

    void
    pango_glyph_item_letter_space (
      PangoGlyphItem* glyph_item,
      const char* text,
      PangoLogAttr* log_attrs,
      int letter_spacing
    )

#### Description [src]

Adds spacing between the graphemes of `glyph_item` to give the effect of typographic letter spacing.

Available since: | 1.6

#### Parameters

`text` | `const char*`
| Text that `glyph_item` corresponds to (glyph_item->item->offset is an offset from the start of `text`)
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`log_attrs` | An array of `PangoLogAttr`
| Logical attributes for the item (the first logical attribute refers to the position before the first character in the item)
| The data is owned by the caller of the function.
`letter_spacing` | `int`
| Amount of letter spacing to add in Pango units. May be negative, though too large negative values will give ugly results.